Subject: [bug#55248] [PATCH v2 2/9] gnu: racket: Fix out-of-source build.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 09 May 2022 05:54:49 +0200

Hi Philip,

Correct me if I'm wrong, but I think you didn't quite get the point I
raised w.r.t. install-license-files.  Instead of

Am Sonntag, dem 08.05.2022 um 16:07 -0400 schrieb Philip McGrath:
> +           (add-after 'chdir 'symlink-license-src
> +             ;; Work around limitation of install-license-files by
> symlinking
> +             ;; srcdir where it expects.  (It doesn't handle this
> variant of
> +             ;; #:out-of-source? and a subdirectory for srcdir.) 
> Just running
> +             ;; `make install` only puts them in Racket's 'share-
> dir'.
> +             (lambda* (#:key out-of-source? #:allow-other-keys)
> +               (when out-of-source?
> +                 (with-directory-excursion ".."
> +                   (symlink "src"
> +                            (package-name->name+version
> +                             (strip-store-file-name
> #$output))))))))))
you could 

(replace 'install-license-files
  (lambda args
    (with-directory-excursion ".." ; perhaps "../src" if needed
      (apply (assoc-ref %standard-phases 'install-license-files)
             args))))

If that doesn't work, you could fake an "in-source" build by appending
"#:out-of-source? #f" to args.

Cheers